gnutls_certificate_get_x509_crls(3)

NAME
gnutls_certificate_get_x509_crls - Used to export all the CRLs from a gnutls_certificate_credentials_t structure

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_certificate_get_x509_crls(gnutls_certificate_credentials_t sc, gnutls_x509_crl_t ** x509_crl_list, unsigned int * ncrls);

ARGUMENTS

gnutls_certificate_credentials_t sc
    is an gnutls_certificate_credentials_t structure.

gnutls_x509_crl_t ** x509_crl_list
    the exported CRL list. Should be treated as constant

unsigned int * ncrls
    the number of exported CRLs

DESCRIPTION
This function will export all the CRLs associated with the given credentials.

SINCE
2.4.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.